## python-pbconsensuscore 1.0.1

=== external/cpplog/Makefile ===
SOURCES=main.cpp
DEPS=cpplog.hpp
EXECUTABLE=cpplog_test
INCLUDES=-I/usr/local/include
LIBS=-L/usr/local/lib -lboost_thread-mt -lboost_system-mt

CC=g++
CFLAGS=-c -Wall -Wextra -pedantic
OBJECTS=$(SOURCES:.cpp=.o)
DEFINES=-DCPPLOG_THREADING -DCPPLOG_SYSTEM_IDS

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	$(CC) $(LDFLAGS) $(LIBS) $(OBJECTS) -o $@

.cpp.o:
	$(CC) $(CFLAGS) $(INCLUDES) $(DEFINES) $< -o $@

test: $(EXECUTABLE)
	./$(EXECUTABLE)

clean:
	rm -f $(OBJECTS) $(EXECUTABLE) *.log

=== debian/changelog ===
python-pbconsensuscore (1.0.1-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:42:50 +0000

python-pbconsensuscore (1.0.1-1) unstable; urgency=low

  * Run build-time tests
  * Limit package to x86 architectures
  * Build for all supported python versions
  * Imported Upstream version 1.0.1

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 24 Nov 2015 22:45:58 -0800

python-pbconsensuscore (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #794450)
  * Build Python3 package

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 03 Sep 2015 00:12:46 -0700

=== debian/control ===
Source: python-pbconsensuscore
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       dh-python,
	       python-setuptools,
	       python-all-dev,
	       python-numpy,
	       python3-setuptools,
	       python3-all-dev,
	       python3-numpy,
	       libboost-dev,
	       swig
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/ConsensusCore
Vcs-Git: git://anonscm.debian.org/debian-med/python-pbconsensuscore.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-pbconsensuscore.git

Package: python-pbconsensuscore
Architecture: any-x32 any-amd64 any-i386
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${python:Depends}
Description: algorithms for Pacific Biosciences multiple sequence consensus
 ConsensusCore is a library of C++ algorithms for PacBio multiple sequence
 consensus that powers Quiver (Python) and ConsensusTools (.NET). This library
 primarily exists as the backend for GenomicConsensus, which implements Quiver.
 .
 This package is part of the SMRT Analysis suite

Package: python3-pbconsensuscore
Architecture: any-x32 any-amd64 any-i386
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${python3:Depends}
Description: algorithms for Pacific Biosciences multiple sequence consensus (Python 3)
 ConsensusCore is a library of C++ algorithms for PacBio multiple sequence
 consensus that powers Quiver (Python) and ConsensusTools (.NET). This library
 primarily exists as the backend for GenomicConsensus, which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the Python3 module.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=pbconsensuscore

%:
	LC_ALL=C.UTF-8 dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	$(MAKE) test
# We can't run these additional tests because they only pass
# with the python2 version of the package; by this point
# the python3 version has taken over.
#	$(MAKE) test-python

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3
